Revoke a license key
Portée requise
license_keys:writeLa clé API doit porter cette portée, sinon Kivoo répond 403 insufficient_scope.POST
/v1/license-keys/{id}/revokeFor good: the key reads revoked from now on, and license_key.revoked carries your reason. The change is recorded in the activity journal of the store under the name of the key.
Autorisation
apiKey AuthorizationBearer <clé API>
An API key of the store, kv_live_…
Dans: header
Paramètres de chemin
id*string
Corps de la requête
application/json
Définitions TypeScript
Utilise le type request body en TypeScript.
Corps de la réponse
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.kivoo.africa/v1/license-keys/string/revoke" \ -H "Authorization: Bearer kv_live_EXAMPLE0000000000000000000000000000000000" \ -H "Content-Type: application/json" \ -d '{ "reason": "Remboursé hors Kivoo" }'{ "id": "1c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f", "keyHint": "BAU-…-Q4RT", "status": "active", "isActive": true, "issuedAt": "2026-10-15T09:12:00.000Z", "expiresAt": "2026-11-14T09:12:00.000Z", "revokedAt": null, "activations": { "count": 1, "max": 1, "remaining": 0 }, "product": { "id": "9e8d7c6b-5a4f-4e3d-8c2b-1a0f9e8d7c6b", "title": "Bauhaus Pro" }, "customer": { "id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e", "email": "awa@example.com" }, "order": { "id": "4d5e6f7a-8b9c-4d0e-8f2a-3b4c5d6e7f8a", "reference": "KV-7F3K9QA2" }, "checkout": { "id": "8a7b6c5d-4e3f-4a1b-9c0d-1e2f3a4b5c6d", "externalReference": "42", "metadata": { "plan": "pro" } }, "key": "BAU-XKCD-92HF-LM7P-Q4RT"}